"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Artboard = exports.ArtboardPropTypes = void 0;
const React = __importStar(require("react"));
const PropTypes = __importStar(require("prop-types"));
const airbnb_prop_types_1 = require("airbnb-prop-types");
const stylesheet_1 = require("../stylesheet");
const ViewStylePropTypes_1 = require("./ViewStylePropTypes");
const context_1 = require("../context");
const ViewportPropTypes = {
    name: PropTypes.string,
    width: PropTypes.number,
    height: PropTypes.number,
    scale: PropTypes.number,
    fontScale: PropTypes.number,
};
exports.ArtboardPropTypes = {
    style: airbnb_prop_types_1.or([PropTypes.shape(ViewStylePropTypes_1.ViewStylePropTypes), PropTypes.number]),
    id: PropTypes.string,
    name: PropTypes.string,
    isHome: PropTypes.bool,
    children: PropTypes.node,
    viewport: PropTypes.shape(ViewportPropTypes),
};
class Artboard extends React.Component {
    render() {
        const style = stylesheet_1.StyleSheet.flatten(this.props.style);
        return (React.createElement(context_1.ArtboardProvider, { viewport: this.props.viewport, style: style },
            React.createElement("sketch_artboard", { style: style, name: this.props.name, id: this.props.id, viewport: this.props.viewport, isHome: this.props.isHome }, this.props.children)));
    }
}
exports.Artboard = Artboard;
Artboard.propTypes = exports.ArtboardPropTypes;
Artboard.defaultProps = {
    name: 'Artboard',
};
