"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedBox = exports.ErrorBoxPropTypes = void 0;
const React = __importStar(require("react"));
const PropTypes = __importStar(require("prop-types"));
const error_stack_parser_1 = __importDefault(require("error-stack-parser"));
const Text_1 = require("./Text");
const View_1 = require("./View");
const styles = {
    redbox: {
        padding: 10,
        width: 480,
        backgroundColor: 'rgb(204, 0, 0)',
    },
    frame: {},
    message: {
        fontWeight: 'bold',
        fontSize: 16,
        lineHeight: 16 * 1.2,
        color: 'white',
    },
    stack: {
        fontFamily: 'Monaco',
        marginTop: 20,
        color: 'white',
    },
};
exports.ErrorBoxPropTypes = {
    error: PropTypes.oneOfType([PropTypes.instanceOf(Error), PropTypes.string]).isRequired,
};
class RedBox extends React.Component {
    renderFrames(frames) {
        return frames.map((f, index) => (React.createElement(Text_1.Text, { key: index, style: styles.stack }, f.functionName)));
    }
    render() {
        const { error } = this.props;
        if (typeof error === 'string') {
            return (React.createElement(View_1.View, { name: "RedBox", style: styles.redbox },
                React.createElement(Text_1.Text, { name: "Message", style: styles.message }, `Error: ${error}`)));
        }
        let frames;
        let parseError;
        let frameChildren;
        try {
            frames = error_stack_parser_1.default.parse(error);
        }
        catch (e) {
            parseError = new Error('Failed to parse stack trace. Stack trace information unavailable.');
        }
        if (parseError) {
            frameChildren = (React.createElement(View_1.View, { style: styles.frame, key: 0 },
                React.createElement(View_1.View, null, parseError.message)));
        }
        if (frames) {
            frameChildren = this.renderFrames(frames);
        }
        return (React.createElement(View_1.View, { name: "RedBox", style: styles.redbox },
            React.createElement(Text_1.Text, { name: "Message", style: styles.message }, `${error.name}: ${error.message}`),
            React.createElement(View_1.View, { name: "Frames", style: styles.stack }, frameChildren)));
    }
}
exports.RedBox = RedBox;
RedBox.propTypes = exports.ErrorBoxPropTypes;
RedBox.defaultProps = {
    useLines: true,
    useColumns: true,
};
