"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.View = exports.ViewPropTypes = void 0;
const React = __importStar(require("react"));
const PropTypes = __importStar(require("prop-types"));
const airbnb_prop_types_1 = require("airbnb-prop-types");
const stylesheet_1 = require("../stylesheet");
const ViewStylePropTypes_1 = require("./ViewStylePropTypes");
const ResizingConstraintPropTypes_1 = require("./ResizingConstraintPropTypes");
const ShadowsPropTypes_1 = require("./ShadowsPropTypes");
exports.ViewPropTypes = {
    // TODO(lmr): do some nice warning stuff like RN does
    style: airbnb_prop_types_1.or([PropTypes.shape(ViewStylePropTypes_1.ViewStylePropTypes), PropTypes.number]),
    name: PropTypes.string,
    resizingConstraint: PropTypes.shape(Object.assign({}, ResizingConstraintPropTypes_1.ResizingConstraintPropTypes)),
    shadows: PropTypes.arrayOf(PropTypes.shape(Object.assign({}, ShadowsPropTypes_1.ShadowsPropTypes))),
    flow: PropTypes.shape({
        targetId: PropTypes.string,
        target: PropTypes.string,
        animationType: PropTypes.string,
    }),
    children: PropTypes.node,
};
class View extends React.Component {
    render() {
        return (React.createElement("sketch_view", { name: this.props.name, style: stylesheet_1.StyleSheet.flatten(this.props.style), resizingConstraint: this.props.resizingConstraint, shadows: this.props.shadows, flow: this.props.flow }, this.props.children));
    }
}
exports.View = View;
View.propTypes = exports.ViewPropTypes;
View.defaultProps = {
    name: 'View',
};
