import { SymbolMasterProps } from './symbol';
import { SketchLayer, WrappedSketchLayer, SketchDocumentData, WrappedSketchDocument, SketchDocument, PlatformBridge } from './types';
export declare function render(element: React.ReactElement, container?: SketchLayer | WrappedSketchLayer, platformBridge?: PlatformBridge): any;
export declare function renderToJSON(element: React.ReactElement, platformBridge?: PlatformBridge): import("@sketch-hq/sketch-file-format-ts/dist/v1-types").AnyLayer;
export declare function makeSymbol(Component: React.ComponentType<any>, symbolProps: string | SymbolMasterProps, document: SketchDocumentData | SketchDocument | WrappedSketchDocument | undefined, bridge?: PlatformBridge): {
    new (props: import("prop-types").InferProps<{
        style: import("prop-types").Requireable<import("prop-types").InferProps<{
            display: import("prop-types").Requireable<string>;
            color: import("prop-types").Requireable<string | number>;
            shadowColor: import("prop-types").Requireable<string | number>;
            shadowInner: import("prop-types").Requireable<boolean>;
            shadowSpread: import("prop-types").Requireable<number>;
            shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
            }>>;
            shadowOpacity: import("prop-types").Requireable<number>;
            shadowRadius: import("prop-types").Requireable<number>;
            width: import("prop-types").Requireable<number>;
            height: import("prop-types").Requireable<number>;
            top: import("prop-types").Requireable<number>;
            left: import("prop-types").Requireable<number>;
            right: import("prop-types").Requireable<number>;
            bottom: import("prop-types").Requireable<number>;
            minWidth: import("prop-types").Requireable<number>;
            maxWidth: import("prop-types").Requireable<number>;
            minHeight: import("prop-types").Requireable<number>;
            maxHeight: import("prop-types").Requireable<number>;
            margin: import("prop-types").Requireable<number>;
            marginVertical: import("prop-types").Requireable<number>;
            marginHorizontal: import("prop-types").Requireable<number>;
            marginTop: import("prop-types").Requireable<number>;
            marginBottom: import("prop-types").Requireable<number>;
            marginLeft: import("prop-types").Requireable<number>;
            marginRight: import("prop-types").Requireable<number>;
            padding: import("prop-types").Requireable<number>;
            paddingVertical: import("prop-types").Requireable<number>;
            paddingHorizontal: import("prop-types").Requireable<number>;
            paddingTop: import("prop-types").Requireable<number>;
            paddingBottom: import("prop-types").Requireable<number>;
            paddingLeft: import("prop-types").Requireable<number>;
            paddingRight: import("prop-types").Requireable<number>;
            position: import("prop-types").Requireable<"absolute" | "relative">;
            flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
            flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
            justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
            alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            flex: import("prop-types").Requireable<number>;
            flexGrow: import("prop-types").Requireable<number>;
            flexShrink: import("prop-types").Requireable<number>;
            flexBasis: import("prop-types").Requireable<number>;
            aspectRatio: import("prop-types").Requireable<number>;
            zIndex: import("prop-types").Requireable<number>;
            backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
            backgroundColor: import("prop-types").Requireable<string | number>;
            borderColor: import("prop-types").Requireable<string | number>;
            borderTopColor: import("prop-types").Requireable<string | number>;
            borderRightColor: import("prop-types").Requireable<string | number>;
            borderBottomColor: import("prop-types").Requireable<string | number>;
            borderLeftColor: import("prop-types").Requireable<string | number>;
            borderRadius: import("prop-types").Requireable<number>;
            borderTopLeftRadius: import("prop-types").Requireable<number>;
            borderTopRightRadius: import("prop-types").Requireable<number>;
            borderBottomLeftRadius: import("prop-types").Requireable<number>;
            borderBottomRightRadius: import("prop-types").Requireable<number>;
            borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderWidth: import("prop-types").Requireable<number>;
            borderTopWidth: import("prop-types").Requireable<number>;
            borderRightWidth: import("prop-types").Requireable<number>;
            borderBottomWidth: import("prop-types").Requireable<number>;
            borderLeftWidth: import("prop-types").Requireable<number>;
            opacity: import("prop-types").Requireable<number>;
            transform: import("prop-types").Requireable<string>;
            transformOrigin: import("prop-types").Requireable<string>;
        }>>;
        name: import("prop-types").Requireable<string>;
        overrides: import("prop-types").Requireable<{
            [x: string]: string | ((...args: any[]) => any) | null | undefined;
        }>;
        resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
            top: import("prop-types").Requireable<boolean>;
            right: import("prop-types").Requireable<boolean>;
            bottom: import("prop-types").Requireable<boolean>;
            left: import("prop-types").Requireable<boolean>;
            fixedHeight: import("prop-types").Requireable<boolean>;
            fixedWidth: import("prop-types").Requireable<boolean>;
        }>>;
    }> | Readonly<import("prop-types").InferProps<{
        style: import("prop-types").Requireable<import("prop-types").InferProps<{
            display: import("prop-types").Requireable<string>;
            color: import("prop-types").Requireable<string | number>;
            shadowColor: import("prop-types").Requireable<string | number>;
            shadowInner: import("prop-types").Requireable<boolean>;
            shadowSpread: import("prop-types").Requireable<number>;
            shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
            }>>;
            shadowOpacity: import("prop-types").Requireable<number>;
            shadowRadius: import("prop-types").Requireable<number>;
            width: import("prop-types").Requireable<number>;
            height: import("prop-types").Requireable<number>;
            top: import("prop-types").Requireable<number>;
            left: import("prop-types").Requireable<number>;
            right: import("prop-types").Requireable<number>;
            bottom: import("prop-types").Requireable<number>;
            minWidth: import("prop-types").Requireable<number>;
            maxWidth: import("prop-types").Requireable<number>;
            minHeight: import("prop-types").Requireable<number>;
            maxHeight: import("prop-types").Requireable<number>;
            margin: import("prop-types").Requireable<number>;
            marginVertical: import("prop-types").Requireable<number>;
            marginHorizontal: import("prop-types").Requireable<number>;
            marginTop: import("prop-types").Requireable<number>;
            marginBottom: import("prop-types").Requireable<number>;
            marginLeft: import("prop-types").Requireable<number>;
            marginRight: import("prop-types").Requireable<number>;
            padding: import("prop-types").Requireable<number>;
            paddingVertical: import("prop-types").Requireable<number>;
            paddingHorizontal: import("prop-types").Requireable<number>;
            paddingTop: import("prop-types").Requireable<number>;
            paddingBottom: import("prop-types").Requireable<number>;
            paddingLeft: import("prop-types").Requireable<number>;
            paddingRight: import("prop-types").Requireable<number>;
            position: import("prop-types").Requireable<"absolute" | "relative">;
            flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
            flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
            justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
            alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            flex: import("prop-types").Requireable<number>;
            flexGrow: import("prop-types").Requireable<number>;
            flexShrink: import("prop-types").Requireable<number>;
            flexBasis: import("prop-types").Requireable<number>;
            aspectRatio: import("prop-types").Requireable<number>;
            zIndex: import("prop-types").Requireable<number>;
            backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
            backgroundColor: import("prop-types").Requireable<string | number>;
            borderColor: import("prop-types").Requireable<string | number>;
            borderTopColor: import("prop-types").Requireable<string | number>;
            borderRightColor: import("prop-types").Requireable<string | number>;
            borderBottomColor: import("prop-types").Requireable<string | number>;
            borderLeftColor: import("prop-types").Requireable<string | number>;
            borderRadius: import("prop-types").Requireable<number>;
            borderTopLeftRadius: import("prop-types").Requireable<number>;
            borderTopRightRadius: import("prop-types").Requireable<number>;
            borderBottomLeftRadius: import("prop-types").Requireable<number>;
            borderBottomRightRadius: import("prop-types").Requireable<number>;
            borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderWidth: import("prop-types").Requireable<number>;
            borderTopWidth: import("prop-types").Requireable<number>;
            borderRightWidth: import("prop-types").Requireable<number>;
            borderBottomWidth: import("prop-types").Requireable<number>;
            borderLeftWidth: import("prop-types").Requireable<number>;
            opacity: import("prop-types").Requireable<number>;
            transform: import("prop-types").Requireable<string>;
            transformOrigin: import("prop-types").Requireable<string>;
        }>>;
        name: import("prop-types").Requireable<string>;
        overrides: import("prop-types").Requireable<{
            [x: string]: string | ((...args: any[]) => any) | null | undefined;
        }>;
        resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
            top: import("prop-types").Requireable<boolean>;
            right: import("prop-types").Requireable<boolean>;
            bottom: import("prop-types").Requireable<boolean>;
            left: import("prop-types").Requireable<boolean>;
            fixedHeight: import("prop-types").Requireable<boolean>;
            fixedWidth: import("prop-types").Requireable<boolean>;
        }>>;
    }>>): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    new (props: import("prop-types").InferProps<{
        style: import("prop-types").Requireable<import("prop-types").InferProps<{
            display: import("prop-types").Requireable<string>;
            color: import("prop-types").Requireable<string | number>;
            shadowColor: import("prop-types").Requireable<string | number>;
            shadowInner: import("prop-types").Requireable<boolean>;
            shadowSpread: import("prop-types").Requireable<number>;
            shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
            }>>;
            shadowOpacity: import("prop-types").Requireable<number>;
            shadowRadius: import("prop-types").Requireable<number>;
            width: import("prop-types").Requireable<number>;
            height: import("prop-types").Requireable<number>;
            top: import("prop-types").Requireable<number>;
            left: import("prop-types").Requireable<number>;
            right: import("prop-types").Requireable<number>;
            bottom: import("prop-types").Requireable<number>;
            minWidth: import("prop-types").Requireable<number>;
            maxWidth: import("prop-types").Requireable<number>;
            minHeight: import("prop-types").Requireable<number>;
            maxHeight: import("prop-types").Requireable<number>;
            margin: import("prop-types").Requireable<number>;
            marginVertical: import("prop-types").Requireable<number>;
            marginHorizontal: import("prop-types").Requireable<number>;
            marginTop: import("prop-types").Requireable<number>;
            marginBottom: import("prop-types").Requireable<number>;
            marginLeft: import("prop-types").Requireable<number>;
            marginRight: import("prop-types").Requireable<number>;
            padding: import("prop-types").Requireable<number>;
            paddingVertical: import("prop-types").Requireable<number>;
            paddingHorizontal: import("prop-types").Requireable<number>;
            paddingTop: import("prop-types").Requireable<number>;
            paddingBottom: import("prop-types").Requireable<number>;
            paddingLeft: import("prop-types").Requireable<number>;
            paddingRight: import("prop-types").Requireable<number>;
            position: import("prop-types").Requireable<"absolute" | "relative">;
            flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
            flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
            justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
            alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            flex: import("prop-types").Requireable<number>;
            flexGrow: import("prop-types").Requireable<number>;
            flexShrink: import("prop-types").Requireable<number>;
            flexBasis: import("prop-types").Requireable<number>;
            aspectRatio: import("prop-types").Requireable<number>;
            zIndex: import("prop-types").Requireable<number>;
            backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
            backgroundColor: import("prop-types").Requireable<string | number>;
            borderColor: import("prop-types").Requireable<string | number>;
            borderTopColor: import("prop-types").Requireable<string | number>;
            borderRightColor: import("prop-types").Requireable<string | number>;
            borderBottomColor: import("prop-types").Requireable<string | number>;
            borderLeftColor: import("prop-types").Requireable<string | number>;
            borderRadius: import("prop-types").Requireable<number>;
            borderTopLeftRadius: import("prop-types").Requireable<number>;
            borderTopRightRadius: import("prop-types").Requireable<number>;
            borderBottomLeftRadius: import("prop-types").Requireable<number>;
            borderBottomRightRadius: import("prop-types").Requireable<number>;
            borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderWidth: import("prop-types").Requireable<number>;
            borderTopWidth: import("prop-types").Requireable<number>;
            borderRightWidth: import("prop-types").Requireable<number>;
            borderBottomWidth: import("prop-types").Requireable<number>;
            borderLeftWidth: import("prop-types").Requireable<number>;
            opacity: import("prop-types").Requireable<number>;
            transform: import("prop-types").Requireable<string>;
            transformOrigin: import("prop-types").Requireable<string>;
        }>>;
        name: import("prop-types").Requireable<string>;
        overrides: import("prop-types").Requireable<{
            [x: string]: string | ((...args: any[]) => any) | null | undefined;
        }>;
        resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
            top: import("prop-types").Requireable<boolean>;
            right: import("prop-types").Requireable<boolean>;
            bottom: import("prop-types").Requireable<boolean>;
            left: import("prop-types").Requireable<boolean>;
            fixedHeight: import("prop-types").Requireable<boolean>;
            fixedWidth: import("prop-types").Requireable<boolean>;
        }>>;
    }>, context: any): {
        render(): JSX.Element;
        context: any;
        setState<K extends never>(state: {} | ((prevState: Readonly<{}>, props: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>) => {} | Pick<{}, K> | null) | Pick<{}, K> | null, callback?: (() => void) | undefined): void;
        forceUpdate(callback?: (() => void) | undefined): void;
        readonly props: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>> & Readonly<{
            children?: import("react").ReactNode;
        }>;
        state: Readonly<{}>;
        refs: {
            [key: string]: import("react").ReactInstance;
        };
        componentDidMount?(): void;
        shouldComponentUpdate?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextState: Readonly<{}>, nextContext: any): boolean;
        componentWillUnmount?(): void;
        componentDidCatch?(error: Error, errorInfo: import("react").ErrorInfo): void;
        getSnapshotBeforeUpdate?(prevProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, prevState: Readonly<{}>): any;
        componentDidUpdate?(prevProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, prevState: Readonly<{}>, snapshot?: any): void;
        componentWillMount?(): void;
        UNSAFE_componentWillMount?(): void;
        componentWillReceiveProps?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextContext: any): void;
        UNSAFE_componentWillReceiveProps?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextContext: any): void;
        componentWillUpdate?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextState: Readonly<{}>, nextContext: any): void;
        UNSAFE_componentWillUpdate?(nextProps: Readonly<import("prop-types").InferProps<{
            style: import("prop-types").Requireable<import("prop-types").InferProps<{
                display: import("prop-types").Requireable<string>;
                color: import("prop-types").Requireable<string | number>;
                shadowColor: import("prop-types").Requireable<string | number>;
                shadowInner: import("prop-types").Requireable<boolean>;
                shadowSpread: import("prop-types").Requireable<number>;
                shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                    width: import("prop-types").Requireable<number>;
                    height: import("prop-types").Requireable<number>;
                }>>;
                shadowOpacity: import("prop-types").Requireable<number>;
                shadowRadius: import("prop-types").Requireable<number>;
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
                top: import("prop-types").Requireable<number>;
                left: import("prop-types").Requireable<number>;
                right: import("prop-types").Requireable<number>;
                bottom: import("prop-types").Requireable<number>;
                minWidth: import("prop-types").Requireable<number>;
                maxWidth: import("prop-types").Requireable<number>;
                minHeight: import("prop-types").Requireable<number>;
                maxHeight: import("prop-types").Requireable<number>;
                margin: import("prop-types").Requireable<number>;
                marginVertical: import("prop-types").Requireable<number>;
                marginHorizontal: import("prop-types").Requireable<number>;
                marginTop: import("prop-types").Requireable<number>;
                marginBottom: import("prop-types").Requireable<number>;
                marginLeft: import("prop-types").Requireable<number>;
                marginRight: import("prop-types").Requireable<number>;
                padding: import("prop-types").Requireable<number>;
                paddingVertical: import("prop-types").Requireable<number>;
                paddingHorizontal: import("prop-types").Requireable<number>;
                paddingTop: import("prop-types").Requireable<number>;
                paddingBottom: import("prop-types").Requireable<number>;
                paddingLeft: import("prop-types").Requireable<number>;
                paddingRight: import("prop-types").Requireable<number>;
                position: import("prop-types").Requireable<"absolute" | "relative">;
                flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
                flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
                justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
                alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
                overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
                flex: import("prop-types").Requireable<number>;
                flexGrow: import("prop-types").Requireable<number>;
                flexShrink: import("prop-types").Requireable<number>;
                flexBasis: import("prop-types").Requireable<number>;
                aspectRatio: import("prop-types").Requireable<number>;
                zIndex: import("prop-types").Requireable<number>;
                backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
                backgroundColor: import("prop-types").Requireable<string | number>;
                borderColor: import("prop-types").Requireable<string | number>;
                borderTopColor: import("prop-types").Requireable<string | number>;
                borderRightColor: import("prop-types").Requireable<string | number>;
                borderBottomColor: import("prop-types").Requireable<string | number>;
                borderLeftColor: import("prop-types").Requireable<string | number>;
                borderRadius: import("prop-types").Requireable<number>;
                borderTopLeftRadius: import("prop-types").Requireable<number>;
                borderTopRightRadius: import("prop-types").Requireable<number>;
                borderBottomLeftRadius: import("prop-types").Requireable<number>;
                borderBottomRightRadius: import("prop-types").Requireable<number>;
                borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
                borderWidth: import("prop-types").Requireable<number>;
                borderTopWidth: import("prop-types").Requireable<number>;
                borderRightWidth: import("prop-types").Requireable<number>;
                borderBottomWidth: import("prop-types").Requireable<number>;
                borderLeftWidth: import("prop-types").Requireable<number>;
                opacity: import("prop-types").Requireable<number>;
                transform: import("prop-types").Requireable<string>;
                transformOrigin: import("prop-types").Requireable<string>;
            }>>;
            name: import("prop-types").Requireable<string>;
            overrides: import("prop-types").Requireable<{
                [x: string]: string | ((...args: any[]) => any) | null | undefined;
            }>;
            resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
                top: import("prop-types").Requireable<boolean>;
                right: import("prop-types").Requireable<boolean>;
                bottom: import("prop-types").Requireable<boolean>;
                left: import("prop-types").Requireable<boolean>;
                fixedHeight: import("prop-types").Requireable<boolean>;
                fixedWidth: import("prop-types").Requireable<boolean>;
            }>>;
        }>>, nextState: Readonly<{}>, nextContext: any): void;
    };
    displayName: string;
    propTypes: {
        style: import("prop-types").Requireable<import("prop-types").InferProps<{
            display: import("prop-types").Requireable<string>;
            color: import("prop-types").Requireable<string | number>;
            shadowColor: import("prop-types").Requireable<string | number>;
            shadowInner: import("prop-types").Requireable<boolean>;
            shadowSpread: import("prop-types").Requireable<number>;
            shadowOffset: import("prop-types").Requireable<import("prop-types").InferProps<{
                width: import("prop-types").Requireable<number>;
                height: import("prop-types").Requireable<number>;
            }>>;
            shadowOpacity: import("prop-types").Requireable<number>;
            shadowRadius: import("prop-types").Requireable<number>;
            width: import("prop-types").Requireable<number>;
            height: import("prop-types").Requireable<number>;
            top: import("prop-types").Requireable<number>;
            left: import("prop-types").Requireable<number>;
            right: import("prop-types").Requireable<number>;
            bottom: import("prop-types").Requireable<number>;
            minWidth: import("prop-types").Requireable<number>;
            maxWidth: import("prop-types").Requireable<number>;
            minHeight: import("prop-types").Requireable<number>;
            maxHeight: import("prop-types").Requireable<number>;
            margin: import("prop-types").Requireable<number>;
            marginVertical: import("prop-types").Requireable<number>;
            marginHorizontal: import("prop-types").Requireable<number>;
            marginTop: import("prop-types").Requireable<number>;
            marginBottom: import("prop-types").Requireable<number>;
            marginLeft: import("prop-types").Requireable<number>;
            marginRight: import("prop-types").Requireable<number>;
            padding: import("prop-types").Requireable<number>;
            paddingVertical: import("prop-types").Requireable<number>;
            paddingHorizontal: import("prop-types").Requireable<number>;
            paddingTop: import("prop-types").Requireable<number>;
            paddingBottom: import("prop-types").Requireable<number>;
            paddingLeft: import("prop-types").Requireable<number>;
            paddingRight: import("prop-types").Requireable<number>;
            position: import("prop-types").Requireable<"absolute" | "relative">;
            flexDirection: import("prop-types").Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
            flexWrap: import("prop-types").Requireable<"nowrap" | "wrap" | "wrap-reverse">;
            justifyContent: import("prop-types").Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
            alignContent: import("prop-types").Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignItems: import("prop-types").Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignSelf: import("prop-types").Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            overflow: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowX: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            overflowY: import("prop-types").Requireable<"hidden" | "visible" | "scroll">;
            flex: import("prop-types").Requireable<number>;
            flexGrow: import("prop-types").Requireable<number>;
            flexShrink: import("prop-types").Requireable<number>;
            flexBasis: import("prop-types").Requireable<number>;
            aspectRatio: import("prop-types").Requireable<number>;
            zIndex: import("prop-types").Requireable<number>;
            backfaceVisibility: import("prop-types").Requireable<VisibilityState>;
            backgroundColor: import("prop-types").Requireable<string | number>;
            borderColor: import("prop-types").Requireable<string | number>;
            borderTopColor: import("prop-types").Requireable<string | number>;
            borderRightColor: import("prop-types").Requireable<string | number>;
            borderBottomColor: import("prop-types").Requireable<string | number>;
            borderLeftColor: import("prop-types").Requireable<string | number>;
            borderRadius: import("prop-types").Requireable<number>;
            borderTopLeftRadius: import("prop-types").Requireable<number>;
            borderTopRightRadius: import("prop-types").Requireable<number>;
            borderBottomLeftRadius: import("prop-types").Requireable<number>;
            borderBottomRightRadius: import("prop-types").Requireable<number>;
            borderStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderTopStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderRightStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderBottomStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderLeftStyle: import("prop-types").Requireable<"dashed" | "dotted" | "solid">;
            borderWidth: import("prop-types").Requireable<number>;
            borderTopWidth: import("prop-types").Requireable<number>;
            borderRightWidth: import("prop-types").Requireable<number>;
            borderBottomWidth: import("prop-types").Requireable<number>;
            borderLeftWidth: import("prop-types").Requireable<number>;
            opacity: import("prop-types").Requireable<number>;
            transform: import("prop-types").Requireable<string>;
            transformOrigin: import("prop-types").Requireable<string>;
        }>>;
        name: import("prop-types").Requireable<string>;
        overrides: import("prop-types").Requireable<{
            [x: string]: string | ((...args: any[]) => any) | null | undefined;
        }>;
        resizingConstraint: import("prop-types").Requireable<import("prop-types").InferProps<{
            top: import("prop-types").Requireable<boolean>;
            right: import("prop-types").Requireable<boolean>;
            bottom: import("prop-types").Requireable<boolean>;
            left: import("prop-types").Requireable<boolean>;
            fixedHeight: import("prop-types").Requireable<boolean>;
            fixedWidth: import("prop-types").Requireable<boolean>;
        }>>;
    };
    symbolID: string;
    masterName: string;
    contextType?: import("react").Context<any> | undefined;
};
export declare const TextStyles: {
    registerStyle(name: string, style: import("./types").TextStyle, platformBridge?: PlatformBridge): void;
    create(styles: {
        [key: string]: import("./types").TextStyle;
    }, options?: {
        clearExistingStyles?: boolean | undefined;
        document?: SketchDocument | SketchDocumentData | WrappedSketchDocument | undefined;
    }, platformBridge?: PlatformBridge): {
        [key: string]: {
            cssStyle: import("./types").TextStyle;
            name: string;
            sketchStyle: import("@sketch-hq/sketch-file-format-ts/dist/v1-types").Style;
            sharedObjectID: string;
        };
    };
    resolve(style?: import("./types").TextStyle | undefined): {
        cssStyle: import("./types").TextStyle;
        name: string;
        sketchStyle: import("@sketch-hq/sketch-file-format-ts/dist/v1-types").Style;
        sharedObjectID: string;
    } | undefined;
    get(name: string, document?: SketchDocument | SketchDocumentData | WrappedSketchDocument | undefined): import("./types").TextStyle | undefined;
    clear(): void;
    toJSON(): import("@sketch-hq/sketch-file-format-ts/dist/v1-types").SharedStyle[];
    styles(): {
        [key: string]: {
            cssStyle: import("./types").TextStyle;
            name: string;
            sketchStyle: import("@sketch-hq/sketch-file-format-ts/dist/v1-types").Style;
            sharedObjectID: string;
        };
    };
};
