"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextStyles = exports.makeSymbol = exports.renderToJSON = exports.render = void 0;
const render_1 = require("./render");
const renderToJSON_1 = require("./renderToJSON");
const symbol_1 = require("./symbol");
const TextStyles_1 = require("./sharedStyles/TextStyles");
const sketch_1 = __importDefault(require("./platformBridges/sketch"));
function render(element, container, platformBridge = sketch_1.default) {
    return render_1.render(platformBridge)(element, container);
}
exports.render = render;
function renderToJSON(element, platformBridge = sketch_1.default) {
    return renderToJSON_1.renderToJSON(platformBridge)(element);
}
exports.renderToJSON = renderToJSON;
function makeSymbol(Component, symbolProps, document, bridge = sketch_1.default) {
    return symbol_1.makeSymbol(bridge)(Component, symbolProps, document);
}
exports.makeSymbol = makeSymbol;
exports.TextStyles = TextStyles_1.TextStyles(() => sketch_1.default);
