"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.makeSvgLayer = void 0;
const toSJSON_1 = require("../sketchJson/toSJSON");
function makeSvgLayer(_layout, name, svg) {
    const svgString = NSString.stringWithString(svg);
    const svgData = svgString.dataUsingEncoding(NSUTF8StringEncoding);
    const svgImporter = MSSVGImporter.svgImporter();
    svgImporter.prepareToImportFromData(svgData);
    const frame = NSMakeRect(0, 0, svgImporter.graph().width(), svgImporter.graph().height());
    const root = MSLayerGroup.alloc().initWithFrame(frame);
    root.name = name;
    svgImporter.graph().makeLayerWithParentLayer_progress(root, null);
    root.ungroupSingleChildDescendentGroups();
    svgImporter.scale_rootGroup(svgImporter.importer().scaleValue(), root);
    return toSJSON_1.toSJSON(root);
}
exports.makeSvgLayer = makeSvgLayer;
