var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from 'react';
import * as PropTypes from 'prop-types';
import { or } from 'airbnb-prop-types';
import { StyleSheet } from '../stylesheet';
import { ViewStylePropTypes } from './ViewStylePropTypes';
import { ArtboardProvider } from '../context';
var ViewportPropTypes = {
    name: PropTypes.string,
    width: PropTypes.number,
    height: PropTypes.number,
    scale: PropTypes.number,
    fontScale: PropTypes.number,
};
export var ArtboardPropTypes = {
    style: or([PropTypes.shape(ViewStylePropTypes), PropTypes.number]),
    id: PropTypes.string,
    name: PropTypes.string,
    isHome: PropTypes.bool,
    children: PropTypes.node,
    viewport: PropTypes.shape(ViewportPropTypes),
};
var Artboard = /** @class */ (function (_super) {
    __extends(Artboard, _super);
    function Artboard() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Artboard.prototype.render = function () {
        var style = StyleSheet.flatten(this.props.style);
        return (React.createElement(ArtboardProvider, { viewport: this.props.viewport, style: style },
            React.createElement("sketch_artboard", { style: style, name: this.props.name, id: this.props.id, viewport: this.props.viewport, isHome: this.props.isHome }, this.props.children)));
    };
    Artboard.propTypes = ArtboardPropTypes;
    Artboard.defaultProps = {
        name: 'Artboard',
    };
    return Artboard;
}(React.Component));
export { Artboard };
