import * as React from 'react';
import * as PropTypes from 'prop-types';
import { Circle } from './Circle';
import { ClipPath } from './ClipPath';
import { Defs } from './Defs';
import { Ellipse } from './Ellipse';
import { G } from './G';
import { SVGImage as Image } from './Image';
import { Line } from './Line';
import { LinearGradient } from './LinearGradient';
import { Path } from './Path';
import { Pattern } from './Pattern';
import { Polygon } from './Polygon';
import { Polyline } from './Polyline';
import { RadialGradient } from './RadialGradient';
import { Rect } from './Rect';
import { Stop } from './Stop';
import { Symbol } from './Symbol';
import { Text } from './Text';
import { TextPath } from './TextPath';
import { TSpan } from './TSpan';
import { Use } from './Use';
declare const propTypes: {
    opacity: PropTypes.Requireable<string | number>;
    width: PropTypes.Requireable<string | number>;
    height: PropTypes.Requireable<string | number>;
    viewBox: PropTypes.Requireable<string>;
    preserveAspectRatio: PropTypes.Requireable<string>;
    xmlns: PropTypes.Requireable<string>;
    'xmlns:xlink': PropTypes.Requireable<string>;
    style: PropTypes.Requireable<number | PropTypes.InferProps<{
        display: PropTypes.Requireable<string>;
        color: PropTypes.Requireable<string | number>;
        shadowColor: PropTypes.Requireable<string | number>;
        shadowInner: PropTypes.Requireable<boolean>;
        shadowSpread: PropTypes.Requireable<number>;
        shadowOffset: PropTypes.Requireable<PropTypes.InferProps<{
            width: PropTypes.Requireable<number>;
            height: PropTypes.Requireable<number>;
        }>>;
        shadowOpacity: PropTypes.Requireable<number>;
        shadowRadius: PropTypes.Requireable<number>;
        width: PropTypes.Requireable<number>;
        height: PropTypes.Requireable<number>;
        top: PropTypes.Requireable<number>;
        left: PropTypes.Requireable<number>;
        right: PropTypes.Requireable<number>;
        bottom: PropTypes.Requireable<number>;
        minWidth: PropTypes.Requireable<number>;
        maxWidth: PropTypes.Requireable<number>;
        minHeight: PropTypes.Requireable<number>;
        maxHeight: PropTypes.Requireable<number>;
        margin: PropTypes.Requireable<number>;
        marginVertical: PropTypes.Requireable<number>;
        marginHorizontal: PropTypes.Requireable<number>;
        marginTop: PropTypes.Requireable<number>;
        marginBottom: PropTypes.Requireable<number>;
        marginLeft: PropTypes.Requireable<number>;
        marginRight: PropTypes.Requireable<number>;
        padding: PropTypes.Requireable<number>;
        paddingVertical: PropTypes.Requireable<number>;
        paddingHorizontal: PropTypes.Requireable<number>;
        paddingTop: PropTypes.Requireable<number>;
        paddingBottom: PropTypes.Requireable<number>;
        paddingLeft: PropTypes.Requireable<number>;
        paddingRight: PropTypes.Requireable<number>;
        position: PropTypes.Requireable<"absolute" | "relative">;
        flexDirection: PropTypes.Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
        flexWrap: PropTypes.Requireable<"nowrap" | "wrap" | "wrap-reverse">;
        justifyContent: PropTypes.Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
        alignContent: PropTypes.Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
        alignItems: PropTypes.Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
        alignSelf: PropTypes.Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
        overflow: PropTypes.Requireable<"hidden" | "visible" | "scroll">;
        overflowX: PropTypes.Requireable<"hidden" | "visible" | "scroll">;
        overflowY: PropTypes.Requireable<"hidden" | "visible" | "scroll">;
        flex: PropTypes.Requireable<number>;
        flexGrow: PropTypes.Requireable<number>;
        flexShrink: PropTypes.Requireable<number>;
        flexBasis: PropTypes.Requireable<number>;
        aspectRatio: PropTypes.Requireable<number>;
        zIndex: PropTypes.Requireable<number>;
        backfaceVisibility: PropTypes.Requireable<VisibilityState>;
        backgroundColor: PropTypes.Requireable<string | number>;
        borderColor: PropTypes.Requireable<string | number>;
        borderTopColor: PropTypes.Requireable<string | number>;
        borderRightColor: PropTypes.Requireable<string | number>;
        borderBottomColor: PropTypes.Requireable<string | number>;
        borderLeftColor: PropTypes.Requireable<string | number>;
        borderRadius: PropTypes.Requireable<number>;
        borderTopLeftRadius: PropTypes.Requireable<number>;
        borderTopRightRadius: PropTypes.Requireable<number>;
        borderBottomLeftRadius: PropTypes.Requireable<number>;
        borderBottomRightRadius: PropTypes.Requireable<number>;
        borderStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
        borderTopStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
        borderRightStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
        borderBottomStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
        borderLeftStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
        borderWidth: PropTypes.Requireable<number>;
        borderTopWidth: PropTypes.Requireable<number>;
        borderRightWidth: PropTypes.Requireable<number>;
        borderBottomWidth: PropTypes.Requireable<number>;
        borderLeftWidth: PropTypes.Requireable<number>;
        opacity: PropTypes.Requireable<number>;
        transform: PropTypes.Requireable<string>;
        transformOrigin: PropTypes.Requireable<string>;
    }> | null | undefined>;
    name: PropTypes.Requireable<string>;
    resizingConstraint: PropTypes.Requireable<PropTypes.InferProps<{
        top: PropTypes.Requireable<boolean>;
        right: PropTypes.Requireable<boolean>;
        bottom: PropTypes.Requireable<boolean>;
        left: PropTypes.Requireable<boolean>;
        fixedHeight: PropTypes.Requireable<boolean>;
        fixedWidth: PropTypes.Requireable<boolean>;
    }>>;
    shadows: PropTypes.Requireable<(PropTypes.InferProps<{
        shadowColor: PropTypes.Requireable<string | number>;
        shadowOffset: PropTypes.Requireable<PropTypes.InferProps<{
            width: PropTypes.Requireable<number>;
            height: PropTypes.Requireable<number>;
        }>>;
        shadowOpacity: PropTypes.Requireable<number>;
        shadowRadius: PropTypes.Requireable<number>;
        shadowSpread: PropTypes.Requireable<number>;
        shadowInner: PropTypes.Requireable<boolean>;
    }> | null | undefined)[]>;
    flow: PropTypes.Requireable<PropTypes.InferProps<{
        targetId: PropTypes.Requireable<string>;
        target: PropTypes.Requireable<string>;
        animationType: PropTypes.Requireable<string>;
    }>>;
    children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
};
export declare type Props = PropTypes.InferProps<typeof propTypes>;
export declare class Svg extends React.Component<Props> {
    static displayName: string;
    static propTypes: {
        opacity: PropTypes.Requireable<string | number>;
        width: PropTypes.Requireable<string | number>;
        height: PropTypes.Requireable<string | number>;
        viewBox: PropTypes.Requireable<string>;
        preserveAspectRatio: PropTypes.Requireable<string>;
        xmlns: PropTypes.Requireable<string>;
        'xmlns:xlink': PropTypes.Requireable<string>;
        style: PropTypes.Requireable<number | PropTypes.InferProps<{
            display: PropTypes.Requireable<string>;
            color: PropTypes.Requireable<string | number>;
            shadowColor: PropTypes.Requireable<string | number>;
            shadowInner: PropTypes.Requireable<boolean>;
            shadowSpread: PropTypes.Requireable<number>;
            shadowOffset: PropTypes.Requireable<PropTypes.InferProps<{
                width: PropTypes.Requireable<number>;
                height: PropTypes.Requireable<number>;
            }>>;
            shadowOpacity: PropTypes.Requireable<number>;
            shadowRadius: PropTypes.Requireable<number>;
            width: PropTypes.Requireable<number>;
            height: PropTypes.Requireable<number>;
            top: PropTypes.Requireable<number>;
            left: PropTypes.Requireable<number>;
            right: PropTypes.Requireable<number>;
            bottom: PropTypes.Requireable<number>;
            minWidth: PropTypes.Requireable<number>;
            maxWidth: PropTypes.Requireable<number>;
            minHeight: PropTypes.Requireable<number>;
            maxHeight: PropTypes.Requireable<number>;
            margin: PropTypes.Requireable<number>;
            marginVertical: PropTypes.Requireable<number>;
            marginHorizontal: PropTypes.Requireable<number>;
            marginTop: PropTypes.Requireable<number>;
            marginBottom: PropTypes.Requireable<number>;
            marginLeft: PropTypes.Requireable<number>;
            marginRight: PropTypes.Requireable<number>;
            padding: PropTypes.Requireable<number>;
            paddingVertical: PropTypes.Requireable<number>;
            paddingHorizontal: PropTypes.Requireable<number>;
            paddingTop: PropTypes.Requireable<number>;
            paddingBottom: PropTypes.Requireable<number>;
            paddingLeft: PropTypes.Requireable<number>;
            paddingRight: PropTypes.Requireable<number>;
            position: PropTypes.Requireable<"absolute" | "relative">;
            flexDirection: PropTypes.Requireable<"column" | "column-reverse" | "row" | "row-reverse">;
            flexWrap: PropTypes.Requireable<"nowrap" | "wrap" | "wrap-reverse">;
            justifyContent: PropTypes.Requireable<"center" | "space-around" | "space-between" | "flex-end" | "flex-start">;
            alignContent: PropTypes.Requireable<"auto" | "center" | "space-around" | "space-between" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignItems: PropTypes.Requireable<"center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            alignSelf: PropTypes.Requireable<"auto" | "center" | "stretch" | "flex-end" | "flex-start" | "baseline">;
            overflow: PropTypes.Requireable<"hidden" | "visible" | "scroll">;
            overflowX: PropTypes.Requireable<"hidden" | "visible" | "scroll">;
            overflowY: PropTypes.Requireable<"hidden" | "visible" | "scroll">;
            flex: PropTypes.Requireable<number>;
            flexGrow: PropTypes.Requireable<number>;
            flexShrink: PropTypes.Requireable<number>;
            flexBasis: PropTypes.Requireable<number>;
            aspectRatio: PropTypes.Requireable<number>;
            zIndex: PropTypes.Requireable<number>;
            backfaceVisibility: PropTypes.Requireable<VisibilityState>;
            backgroundColor: PropTypes.Requireable<string | number>;
            borderColor: PropTypes.Requireable<string | number>;
            borderTopColor: PropTypes.Requireable<string | number>;
            borderRightColor: PropTypes.Requireable<string | number>;
            borderBottomColor: PropTypes.Requireable<string | number>;
            borderLeftColor: PropTypes.Requireable<string | number>;
            borderRadius: PropTypes.Requireable<number>;
            borderTopLeftRadius: PropTypes.Requireable<number>;
            borderTopRightRadius: PropTypes.Requireable<number>;
            borderBottomLeftRadius: PropTypes.Requireable<number>;
            borderBottomRightRadius: PropTypes.Requireable<number>;
            borderStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
            borderTopStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
            borderRightStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
            borderBottomStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
            borderLeftStyle: PropTypes.Requireable<"dashed" | "dotted" | "solid">;
            borderWidth: PropTypes.Requireable<number>;
            borderTopWidth: PropTypes.Requireable<number>;
            borderRightWidth: PropTypes.Requireable<number>;
            borderBottomWidth: PropTypes.Requireable<number>;
            borderLeftWidth: PropTypes.Requireable<number>;
            opacity: PropTypes.Requireable<number>;
            transform: PropTypes.Requireable<string>;
            transformOrigin: PropTypes.Requireable<string>;
        }> | null | undefined>;
        name: PropTypes.Requireable<string>;
        resizingConstraint: PropTypes.Requireable<PropTypes.InferProps<{
            top: PropTypes.Requireable<boolean>;
            right: PropTypes.Requireable<boolean>;
            bottom: PropTypes.Requireable<boolean>;
            left: PropTypes.Requireable<boolean>;
            fixedHeight: PropTypes.Requireable<boolean>;
            fixedWidth: PropTypes.Requireable<boolean>;
        }>>;
        shadows: PropTypes.Requireable<(PropTypes.InferProps<{
            shadowColor: PropTypes.Requireable<string | number>;
            shadowOffset: PropTypes.Requireable<PropTypes.InferProps<{
                width: PropTypes.Requireable<number>;
                height: PropTypes.Requireable<number>;
            }>>;
            shadowOpacity: PropTypes.Requireable<number>;
            shadowRadius: PropTypes.Requireable<number>;
            shadowSpread: PropTypes.Requireable<number>;
            shadowInner: PropTypes.Requireable<boolean>;
        }> | null | undefined)[]>;
        flow: PropTypes.Requireable<PropTypes.InferProps<{
            targetId: PropTypes.Requireable<string>;
            target: PropTypes.Requireable<string>;
            animationType: PropTypes.Requireable<string>;
        }>>;
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
    };
    static defaultProps: {
        preserveAspectRatio: string;
    };
    static Circle: typeof Circle;
    static ClipPath: typeof ClipPath;
    static Defs: typeof Defs;
    static Ellipse: typeof Ellipse;
    static G: typeof G;
    static Image: typeof Image;
    static Line: typeof Line;
    static LinearGradient: typeof LinearGradient;
    static Path: typeof Path;
    static Pattern: typeof Pattern;
    static Polygon: typeof Polygon;
    static Polyline: typeof Polyline;
    static RadialGradient: typeof RadialGradient;
    static Rect: typeof Rect;
    static Stop: typeof Stop;
    static Symbol: typeof Symbol;
    static Text: typeof Text;
    static TextPath: typeof TextPath;
    static TSpan: typeof TSpan;
    static Use: typeof Use;
    render(): JSX.Element;
}
export {};
