var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import * as PropTypes from 'prop-types';
import { or } from 'airbnb-prop-types';
import { StyleSheet } from '../stylesheet';
import { ViewStylePropTypes } from './ViewStylePropTypes';
import { ResizingConstraintPropTypes } from './ResizingConstraintPropTypes';
import { ShadowsPropTypes } from './ShadowsPropTypes';
export var ViewPropTypes = {
    // TODO(lmr): do some nice warning stuff like RN does
    style: or([PropTypes.shape(ViewStylePropTypes), PropTypes.number]),
    name: PropTypes.string,
    resizingConstraint: PropTypes.shape(__assign({}, ResizingConstraintPropTypes)),
    shadows: PropTypes.arrayOf(PropTypes.shape(__assign({}, ShadowsPropTypes))),
    flow: PropTypes.shape({
        targetId: PropTypes.string,
        target: PropTypes.string,
        animationType: PropTypes.string,
    }),
    children: PropTypes.node,
};
var View = /** @class */ (function (_super) {
    __extends(View, _super);
    function View() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    View.prototype.render = function () {
        return (React.createElement("sketch_view", { name: this.props.name, style: StyleSheet.flatten(this.props.style), resizingConstraint: this.props.resizingConstraint, shadows: this.props.shadows, flow: this.props.flow }, this.props.children));
    };
    View.propTypes = ViewPropTypes;
    View.defaultProps = {
        name: 'View',
    };
    return View;
}(React.Component));
export { View };
