var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import * as React from 'react';
import * as PropTypes from 'prop-types';
var initialArtboardState = {
    width: 0,
    height: 0,
    scale: 1,
    fontScale: 1,
};
export var ArtboardContext = React.createContext({
    state: initialArtboardState,
});
export var useWindowDimensions = function () {
    var state = React.useContext(ArtboardContext).state;
    var _a = state || {}, width = _a.width, height = _a.height, scale = _a.scale, fontScale = _a.fontScale;
    return { width: width, height: height, scale: scale, fontScale: fontScale };
};
var ArtboardPropTypes = {
    viewport: PropTypes.shape({
        width: PropTypes.number,
        height: PropTypes.number,
        name: PropTypes.string,
        scale: PropTypes.number,
        fontScale: PropTypes.number,
    }),
    children: PropTypes.node,
};
export var ArtboardProvider = function (_a) {
    var children = _a.children, viewport = _a.viewport, style = _a.style;
    if (!viewport) {
        return children;
    }
    var oState = React.useContext(ArtboardContext).state;
    var state = __assign(__assign({}, oState), { width: viewport.width || (style || {}).width || oState.width, height: viewport.height || (style || {}).height || oState.height, scale: viewport.scale || oState.scale, fontScale: viewport.fontScale || oState.scale });
    return React.createElement(ArtboardContext.Provider, { value: { state: state } }, children);
};
