import { render as _render } from './render';
import { renderToJSON as _renderToJSON } from './renderToJSON';
import { makeSymbol as _makeSymbol } from './symbol';
import { TextStyles as _TextStyles } from './sharedStyles/TextStyles';
function getDefaultPlatformBridge() {
    return require('./platformBridges/macos').default;
}
export function render(element, container, isResetPage, platformBridge) {
    if (isResetPage === void 0) { isResetPage = true; }
    if (platformBridge === void 0) { platformBridge = getDefaultPlatformBridge(); }
    return _render(platformBridge)(element, container, isResetPage);
}
export function renderToJSON(element, platformBridge) {
    if (platformBridge === void 0) { platformBridge = getDefaultPlatformBridge(); }
    return _renderToJSON(platformBridge)(element);
}
export function makeSymbol(Component, symbolProps, document, bridge) {
    if (bridge === void 0) { bridge = getDefaultPlatformBridge(); }
    return _makeSymbol(bridge)(Component, symbolProps, document);
}
export var TextStyles = _TextStyles(function () { return getDefaultPlatformBridge(); });
