import { computeYogaNode } from './computeYogaNode';
import { zIndex } from '../utils/zIndex';
var walkTree = function (bridge) { return function (tree, context) {
    var _a = computeYogaNode(bridge)(tree, context), node = _a.node, stop = _a.stop;
    if (typeof tree === 'string' || tree.type === 'sketch_svg') {
        // handle svg node, eg: stop here, we will handle the children in the renderer
        return node;
    }
    if (tree.children && tree.children.length > 0) {
        // Calculates zIndex order
        var children = zIndex(tree.children);
        for (var index = 0; index < children.length; index += 1) {
            var childComponent = children[index];
            // Avoid going into <text> node's children
            if (!stop) {
                var childNode = walkTree(bridge)(childComponent, context.forChildren());
                node.insertChild(childNode, index);
            }
        }
    }
    return node;
}; };
export var computeYogaTree = function (bridge) { return function (root, context) { return walkTree(bridge)(root, context); }; };
