"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SketchRenderer = void 0;
const layerGroup_1 = require("../jsonUtils/layerGroup");
const hotspotLayer_1 = require("../jsonUtils/hotspotLayer");
const processTransform_1 = require("../utils/processTransform");
const DEFAULT_OPACITY = 1.0;
class SketchRenderer {
    constructor(bridge) {
        this.platformBridge = bridge;
    }
    getDefaultGroupName(_props) {
        return 'Group';
    }
    renderGroupLayer({ layout, style, props, }) {
        // Default SketchRenderer just renders an empty group
        const transform = processTransform_1.processTransform(layout, style);
        const opacity = style.opacity !== undefined && style.opacity !== null ? style.opacity : DEFAULT_OPACITY;
        return Object.assign(Object.assign(Object.assign(Object.assign({}, layerGroup_1.layerGroup(layout.left, layout.top, layout.width, layout.height, opacity, props.resizingConstraint)), { name: props.name || this.getDefaultGroupName(props) }), transform), (props.flow && hotspotLayer_1.hotspotLayer(props.flow)));
    }
    renderBackingLayers(_node) {
        return [];
    }
}
exports.SketchRenderer = SketchRenderer;
